/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 * 
 * Copyright 2015 Riccardo Scorretti, Olivier Fabregues, Sandrine Demaneche, Elisabeth Navarro.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 * 
 */
package risaaligner.datas;

/**
 *
 * @author olivier
 */
public class Spot  {
    public static int LADDER = 1;
    public static int LADDER_REF = 2;
    public int type;

    public static int OFF = -1;
    public static int AUTO = 0;
    public static int ON = 1;

    
    public int index;
    public double x;
    public double y;
    public double alignX = 0.;
    public int state = 0;
    
    public Spot (int index,int type,double x, double y) {
        this.type = type;
        this.index = index;
        this.x = x;
        this.y = y;
        alignX = 0.;
        state = AUTO;
    }
    public Spot (Spot spot,int type) {
        this.index = spot.index;
        this.x = spot.x;
        this.y = spot.y;
        this.alignX = spot.alignX;
        this.state = spot.state;
        this.type = type;
    }
    
    public int changeState () {
        if (state==OFF) {
            state=AUTO;
        }
        else if (state==AUTO) {
            state=ON;
        }
        else if (state==ON) {
            state=OFF;
        }
        return state;
    }
    public void setState (int state) {
        this.state = state;
    }
}
