/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 * 
 * Copyright 2015 Riccardo Scorretti, Olivier Fabregues, Sandrine Demaneche, Elisabeth Navarro.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 * 
 */
package risaaligner;


/**
 *
 * @author olivier
 */
public class publi {
    
    public class SetOfMeasure{
        public double[] x;
        public double[] y;
        public boolean isAlignable() {
            return true;
        }
    }
    public class PolynomialSplineFunction{
    }
   
    public PolynomialSplineFunction getAlignFunction (double[] x0,double[] x1) {
        PolynomialSplineFunction polynomialSplineFunction = null;
        return polynomialSplineFunction;
    }
    public double[] findPeaks (SetOfMeasure setOfMeasure_ref) {
        double[] x_values= null;
        return x_values;
    }
    public SetOfMeasure interpolate (SetOfMeasure SetOfMeasure, PolynomialSplineFunction psf){
        SetOfMeasure setOfMeasure = null;
        return setOfMeasure;
    }
            
    public void align (SetOfMeasure[] tab_SetOfMeasure, SetOfMeasure setOfMeasure_ref) {

        /*
         * loop on all opened set of measures
         */
        for (int i=0;i<tab_SetOfMeasure.length;i++) {
            SetOfMeasure setOfMeasure = tab_SetOfMeasure[i];
            if (setOfMeasure.isAlignable()) {
      
                /*
                 * computation of Polynomial Spline Function to align x values of current curve on reference curve
                 */ 
                PolynomialSplineFunction psf1 = getAlignFunction(setOfMeasure.x, setOfMeasure_ref.x);

                /*
                 * transformation of current curve with this polynomial Spline Function
                 */
                SetOfMeasure setOfMeasure_tmp = interpolate (setOfMeasure, psf1);

                /*
                 * computation of Polynomial Spline Function for this new curve
                 */ 
                PolynomialSplineFunction psf2 = getAlignFunction(setOfMeasure_tmp.x, setOfMeasure_tmp.y);

                /*
                 * computation of same curve with original x_values
                 */
                setOfMeasure = interpolate (setOfMeasure_tmp, psf2);
            }
        }
    } 
}
