/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 * 
 * 
 * Copyright 2015 Riccardo Scorretti, Olivier Fabregues, Sandrine Demaneche, Elisabeth Navarro.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 * 
 */
package risaaligner;

import ampere.tui.TuiBoolean;
import ampere.tui.TuiComponent;
import ampere.tui.compound.TuiDialog;
import ampere.tui.TuiException;
import ampere.tui.compound.TuiIntegerMinMax;
import ampere.tui.TuiPanel;

/**
 *
 * @author olivier
 */
public class TuiExport {
    public int d0;
    public int d1;
    public boolean b1;
    
    public boolean modal;
    
    TuiDialog tuiDialog;
    TuiBoolean tuiBoolean;
    TuiIntegerMinMax tuiIntegerMinMax;

    public TuiExport (java.awt.Frame frame,
            String title,String containerLabel,
            String rangeLabel, boolean allRange,
            String d0Label,Integer d0,String d1Label,Integer d1,
            Integer dMin,Integer dMax) throws TuiException{
        
        //JDialog jDialog = new JDialog();
        
        tuiDialog = new TuiDialog(frame, true, title,"ok", "cancel");
        
        TuiPanel tuiPanel0 = new TuiPanel(TuiComponent.PAGE_AXIS_BOX_PANEL,"panel0","panel0",containerLabel);
        
        //TuiPanel tuiPanel1 = new TuiPanel(TuiComponent.PAGE_AXIS_BOX_PANEL,"panel1","panel1","");
        tuiBoolean = new TuiBoolean ("b1","b1",rangeLabel,allRange);
        tuiPanel0.addComponent(tuiBoolean);

        //TuiPanel tuiPanel2 = new TuiPanel(TuiComponent.PAGE_AXIS_BOX_PANEL,"panel2","panel2","");
        tuiIntegerMinMax = new TuiIntegerMinMax ("minMax","minMax","Range","mini","maxi",d0,d1,dMin,dMax,10);
        tuiPanel0.addComponent(tuiIntegerMinMax);
        
        tuiDialog.show(tuiPanel0);

        /*
        tuiPanel0.addComponent(tuiPanel1);
        tuiPanel0.addComponent(tuiPanel2);
         * 
         */

        this.d0 = tuiIntegerMinMax.getMin();
        this.d1 = tuiIntegerMinMax.getMax();
        this.b1 = tuiBoolean.getBoolean();
        
        /*
        tuiCompound = new TuiCompound(title);
        tuiCompound.addPanel("panel0",null,containerLabel,TuiCompound.VERTICAL);
        
        tuiCompound.addPanel("panel1","panel0","",TuiCompound.VERTICAL);
        tuiCompound.addBoolean ("b1","panel1",rangeLabel,allRange);
        
        tuiCompound.addPanel("panel2","panel0","",TuiCompound.VERTICAL);
        tuiCompound.addInt ("d0","panel2",d0Label,d0,dMin,dMax,null);
        tuiCompound.addInt ("d1","panel2",d1Label,d1,dMin,dMax,null);

        tuiCompound.addListener (this,"d0");
        tuiCompound.addListener (this,"d1");

        tuiCompound.show(frame,true);

         * 
         */
    }
    /*
    public void process (String origin,TuiEvent tuiEvent) {
        Integer value1 = tuiCompound.getInt("d0");
        Integer value2 = tuiCompound.getInt("d1");
        TuiInt tuiValue1 = (TuiInt)(tuiCompound.getTuiParameter("d0"));
        TuiInt tuiValue2 = (TuiInt)(tuiCompound.getTuiParameter("d1"));

        if (origin.equals("d0")) {
            if (value1 >= value2) value1 = value2;
            tuiValue1.setInt (new Integer(value1));
            tuiValue2.setInt (new Integer(value2));
        }
        if (origin.equals("d1")) {
            if (value2 <= value1) value2 = value1;
            tuiValue1.setInt (new Integer(value1));
            tuiValue2.setInt (new Integer(value2));
        }
    }
     * 
     */
    public int getX() {
        return d0;
    }
    public int getY() {
        return d1;
    }
    public boolean getB1() {
        return b1;
    }
}
