/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 * 
 * Copyright 2015 Riccardo Scorretti, Olivier Fabregues, Sandrine Demaneche, Elisabeth Navarro.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 * 
 */
package risaaligner.datas;

import ampere.tui.TuiBoolean;
import ampere.tui.TuiComponent;
import ampere.tui.TuiComponentListener;
import ampere.tui.compound.TuiDialog;
import ampere.tui.TuiEvent;
import ampere.tui.TuiException;
import ampere.tui.TuiPanel;
import javax.swing.JComponent;

/**
 *
 * @author olivier
 */
public class TuiSampleReader  implements TuiComponentListener{
    public boolean b1=false;
    public boolean b2=false;
    public boolean b3=false;
    public boolean b4=false;
    public boolean b5=false;
    
    public boolean modal;
    
    TuiDialog tuiDialog;
    JComponent jComponent;
    
    TuiBoolean tuiBoolean11;
    TuiBoolean tuiBoolean12;
    TuiBoolean tuiBoolean13;
    TuiBoolean tuiBoolean14;
    TuiBoolean tuiBoolean15;

    boolean changing = false;

    public TuiSampleReader (java.awt.Frame frame,
            String title,String containerLabel,
            boolean bA1, boolean bA2, boolean bA3,boolean bA4,boolean bA5,int noMode) throws TuiException{
        
        tuiDialog = new TuiDialog(frame, true, "","ok", "cancel");
        
        TuiPanel tuiPanel0 = new TuiPanel(TuiComponent.PAGE_AXIS_BOX_PANEL,"panel1","panel1","panel1");
        tuiBoolean11 = new TuiBoolean ("b1","b1","original file",false);
        tuiBoolean12 = new TuiBoolean ("b2","b2","files with aligned ladder",false);
        tuiBoolean13 = new TuiBoolean ("b3","b3","files with aligned Datas",false);
        tuiBoolean14 = new TuiBoolean ("b4","b4","files with aligned ladder and no negative values",false);
        tuiBoolean15 = new TuiBoolean ("b5","b5","files with aligned datas and no negative values",false);
        tuiBoolean11.addTuiComponentListener(this);
        tuiBoolean12.addTuiComponentListener(this);
        tuiBoolean13.addTuiComponentListener(this);
        tuiBoolean14.addTuiComponentListener(this);
        tuiBoolean15.addTuiComponentListener(this);
        tuiPanel0.addComponent(tuiBoolean11);
        tuiPanel0.addComponent(tuiBoolean12);
        tuiPanel0.addComponent(tuiBoolean13);
        tuiPanel0.addComponent(tuiBoolean14);
        tuiPanel0.addComponent(tuiBoolean15);
        tuiBoolean11.setEnabled(bA1);
        tuiBoolean12.setEnabled(bA2);
        tuiBoolean13.setEnabled(bA3);
        tuiBoolean14.setEnabled(bA4);
        tuiBoolean15.setEnabled(bA5);
        
        setMode(noMode);
        
        tuiDialog.show(tuiPanel0);
        
        this.b1 = tuiBoolean11.getBoolean().booleanValue();
        this.b2 = tuiBoolean12.getBoolean().booleanValue();
        this.b3 = tuiBoolean13.getBoolean().booleanValue();
        this.b4 = tuiBoolean14.getBoolean().booleanValue();
        this.b5 = tuiBoolean15.getBoolean().booleanValue();
    }
    public int getType() {
        if (b1) {
            return 0;
        }
        else if (b2) {
            return 1;
        }
        else if (b3) {
            return 2;
        }
        else if (b4) {
            return 3;
        }
        else if (b5) {
            return 4;
        }
        return -1;
    }
    @Override
    public void process(TuiComponent source, TuiEvent tuiEvent) {

        if (!changing);
        changing = true;
        if (source == tuiBoolean11) {
            setMode(0);
        }
        else if (source == tuiBoolean12) {
            setMode(1);
        }
        else if (source == tuiBoolean13) {
            setMode (2);
        }
        else if (source == tuiBoolean14) {
            setMode (3);
        }
        else if (source == tuiBoolean15) {
            setMode (4);
        }
        changing = false;
    }
    
    void setMode (int noMode) {
        tuiBoolean11.setSelected(false);
        tuiBoolean12.setSelected(false);
        tuiBoolean13.setSelected(false);
        tuiBoolean14.setSelected(false);
        tuiBoolean15.setSelected(false);
        if (noMode == 0) {
            tuiBoolean11.setSelected(true);
        }
        else if (noMode == 1) {
            tuiBoolean12.setSelected(true);
        }
        else if (noMode == 2) {
            tuiBoolean13.setSelected(true);
        }
        else if (noMode == 3) {
            tuiBoolean14.setSelected(true);
        }
        else if (noMode == 4) {
            tuiBoolean15.setSelected(true);
        }
    }
}
