/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 * 
 * Copyright 2015 Riccardo Scorretti, Olivier Fabregues, Sandrine Demaneche, Elisabeth Navarro.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 * 
 */
package risaaligner.graphic;

import ampere.graphic2d.GStyle;
import ampere.graphic2d.geom.GRectangleScreen;
import risaaligner.datas.Spot;

/**
 *
 * @author olivier
 */
public class GSpotLine extends GRectangleScreen {
    Spot spot;
    //public int state=0;
    
    public GSpotLine (Spot spot,GStyle style,boolean draw, boolean fill,boolean visible,boolean selected,boolean rollover) {
        super (draw, fill, visible, selected, rollover);
        this.spot = spot;
        setOrigin(spot.x,spot.y);
        setStyle(style);
        setGSize(8,8);
        setTextAlignement(GRectangleScreen.MIDDLE, GRectangleScreen.MIDDLE);
        setSelectable(true);
    }
    public double getX() {
        return xOrigin;
    }
    public double getY() {
        return yOrigin;
    }
    public void move (double x, double y) {
        setOrigin(x,y);
    }
}
